Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class ExcludedParagraphType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.ExcludedParagraphType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:10:42+02:00",
               comments="JAXB RI v2.2.11")
    public class ExcludedParagraphType

extends Object
implements Serializable

Java class for ExcludedParagraphType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExcludedParagraphType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ChapterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ParagraphName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="IdentifierNum" type="{urn:be:fgov:ehealth:samcivics:type:v2}IdentifierNumType"/>
             <element name="AtmAndChildren" type="{urn:be:fgov:ehealth:samcivics:type:v2}AtmAndChildrenType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ExcludedParagraphType()`

Method Summary
`List<AtmAndChildrenType>` | `getAtmAndChildrens()` Gets the value of the atmAndChildrens property.
`String` | `getChapterName()` Gets the value of the chapterName property.
`IdentifierNumType` | `getIdentifierNum()` Gets the value of the identifierNum property.
`String` | `getParagraphName()` Gets the value of the paragraphName property.
`void` | `setChapterName(String value)` Sets the value of the chapterName property.
`void` | `setIdentifierNum(IdentifierNumType value)` Sets the value of the identifierNum property.
`void` | `setParagraphName(String value)` Sets the value of the paragraphName property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcludedParagraphType

    public ExcludedParagraphType()

Method Detail

### getChapterName

    public String getChapterName()

  Gets the value of the chapterName property.

  Returns:
    possible object is `String`

### setChapterName

    public void setChapterName(String value)

  Sets the value of the chapterName property.

  Parameters:
    `value` - allowed object is `String`

### getParagraphName

    public String getParagraphName()

  Gets the value of the paragraphName property.

  Returns:
    possible object is `String`

### setParagraphName

    public void setParagraphName(String value)

  Sets the value of the paragraphName property.

  Parameters:
    `value` - allowed object is `String`

### getIdentifierNum

    public IdentifierNumType getIdentifierNum()

  Gets the value of the identifierNum property.

  Returns:
    possible object is `IdentifierNumType`

### setIdentifierNum

    public void setIdentifierNum(IdentifierNumType value)

  Sets the value of the identifierNum property.

  Parameters:
    `value` - allowed object is `IdentifierNumType`

### getAtmAndChildrens

    public List<AtmAndChildrenType> getAtmAndChildrens()

  Gets the value of the atmAndChildrens property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atmAndChildrens property.

  For example, to add a new item, do as follows:

          getAtmAndChildrens().add(newItem);

  Objects of the following type(s) are allowed in the list `AtmAndChildrenType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.